using System.Collections.Generic;
using MessagePack;

namespace GameMessage
{
    [MessagePackObject]
    public class CoinRecordItem
    {
        /// <summary>
        /// 玩家
        /// </summary>
        [Key(0)]
        public int UserId;

        /// <summary>
        /// 这一局得分数
        /// </summary>
        [Key(1)]
        public long Score;

        /// <summary>
        /// 游戏ID
        /// </summary>
        [Key(2)]
        public int GameId;

        /// <summary>
        /// 用于填一下描述信息 （如玩法、游戏名称）
        /// </summary>
        [Key(3)]
        public string Description;

        /// <summary>
        /// 游玩时间
        /// </summary>
        [Key(4)]
        public string Time;
    }

    /// <summary>
    /// 获取金币记录列表请求
    /// </summary>
    [Message(MessageCode.GetCoinRecordListRequest)]
    [MessagePackObject()]
    public class GetCoinRecordListRequest : MessageData
    {
        /// <summary>
        /// 查询几天战绩
        /// </summary>
        [Key(0)]
        public int Day;
    }

    /// <summary>
    /// 获取金币记录列表相应
    /// </summary>
    [Message(MessageCode.GetCoinRecordListResponse)]
    [MessagePackObject()]
    public class GetCoinRecordListResponse : MessageData
    {
        /// <summary>
        /// 金币场战绩数据
        /// </summary>
        [Key(0)]
        public List<CoinRecordItem> RecordDatas;
    }


}

